Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.jsr94.admin
Class RulesetNotFoundException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.rules.RuleException
javax.rules.admin.RuleAdministrationException
oracle.rules.jsr94.admin.RulesetNotFoundException`

All Implemented Interfaces:
  java.io.Serializable

public class RulesetNotFoundException
extends javax.rules.admin.RuleAdministrationException

This exception is thrown when a rule set identified by a `RuleSource` can not be found.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.rules.RuleException
`embeddedException`

Constructor Summary
`RulesetNotFoundException(java.lang.String message)` Create a `RulesetNotFoundException` with the specified message.
`RulesetNotFoundException(java.lang.String message, java.lang.Exception exception)` Create a `RulesetNotFoundException` with the specified message and the root cause exception.

Methods inherited from class javax.rules.RuleException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RulesetNotFoundException

    public RulesetNotFoundException(java.lang.String message)

  Create a `RulesetNotFoundException` with the specified message.

### RulesetNotFoundException

    public RulesetNotFoundException(java.lang.String message,
                                    java.lang.Exception exception)

  Create a `RulesetNotFoundException` with the specified message and the root cause exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.